-----------------------------------------------------------------
-- PL/SQL: Variable and Constant declarations                   -
-- Chapter 4; Oracle Programming -- A Primer                    -
--            by R. Sunderraman                                 -
-----------------------------------------------------------------

DECLARE
  i BINARY_INTEGER;
  cno NUMBER(5) NOT NULL := 1111;
  cname VARCHAR2(30);
  commission REAL(5,2) := 12.5;
  MAXCOLUMNS CONSTANT INTEGER(2) := 30;
BEGIN
  i := 35;
  cname := 'Jones';
  cno := 2000;
  DBMS_OUTPUT.PUT_LINE('i = ' || i);
  DBMS_OUTPUT.PUT_LINE('cno = ' || cno);
  DBMS_OUTPUT.PUT_LINE('cname = ' || cname);
  DBMS_OUTPUT.PUT_LINE('commission = ' || commission);
  DBMS_OUTPUT.PUT_LINE('MAXCOLUMNS = ' || MAXCOLUMNS);
END;
/
